<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    {% block title %}{% endblock %}
    <style>
  .navbar {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    overflow: hidden;
    background-color: white;
    margin: 1rem 1rem 1rem 1rem;
    border-radius: 5px;
  }

  .navbar a {
    float: left;
    font-size: 16px;
    text-align: center;
    padding: 2rem 1rem 2rem;
    text-decoration: none;
  }

  .dropdown {
    float: left;
    overflow: hidden;
  }

  .dropdown .dropbtn {
    font-size: 16px;
    border: none;
    outline: none;
    color: black;
    padding: 14px 16px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
  }

  .navbar a:hover, .dropdown:hover .dropbtn {
    background-color: gray;
  }

  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }

  .dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
  }

  .dropdown-content a:hover {
    background-color: gray;
  }

  .dropdown:hover .dropdown-content {
    display: block;
  }

  {% block style %}{% endblock %}
  </style>
  </head>
  <body>

  <div class="navbar">
  <div class="dropdown">
    <button class="dropbtn">Lab 01
    </button>
    <div class="dropdown-content">
      <a href="http://localhost:8000/lab-1/">index</a>
      <a href="http://localhost:8000/lab-1/friends">friends</a>
    </div>
  </div>
  <div class="dropdown">
    <button class="dropbtn">Lab 02
    </button>
    <div class="dropdown-content">
      <a href="http://localhost:8000/lab-2/">notes</a>
      <a href="http://localhost:8000/lab-2/xml">notes-xml</a>
      <a href="http://localhost:8000/lab-2/json">notes-json</a>
    </div>
  </div>
  <div class="dropdown">
    <button class="dropbtn">Lab 03
    </button>
    <div class="dropdown-content">
      <a href="http://localhost:8000/lab-3/">index</a>
      <a href="http://localhost:8000/lab-3/add">add friend</a>
    </div>
  </div>
  <div class="dropdown">
    <button class="dropbtn">Lab 04
    </button>
    <div class="dropdown-content">
      <a href="http://localhost:8000/lab-4/">index</a>
      <a href="http://localhost:8000/lab-4/add-note">add note</a>
      <a href="http://localhost:8000/lab-4/note-list">note list</a>
  </div>
  </div>
  <div class="dropdown">
    <button class="dropbtn">Lab 05
    </button>
    <div class="dropdown-content">
      <a href="http://localhost:8000/lab-5/">index</a>
    </div>
  </div>
  </div>

  {% block content %}{% endblock %}
  </body>
</html>
